#ifndef SETTINGS_H
#define SETTINGS_H

#include <QDialog>

#include <QFile>
#include <QSettings>
#include <QTextStream>

namespace Ui {
    class Settings;
}

class Settings : public QDialog
{
    Q_OBJECT

public:
    explicit Settings(QWidget *parent = 0);
    ~Settings();

private slots:
    void on_pickStationButton_clicked();

    void on_saveButton_clicked();

private:
    Ui::Settings *ui;

    bool showNotifications;
    bool saveLog;
    bool showCustomString;
    int alphaValue;
    int customLabelFontSize;
    QString url;
    QString icon;
    QString customString;
    QStringList stationsUrlsList;

signals:
    void saveButtonClicked();
};

#endif // SETTINGS_H
